Achtung!! httpd config Fehler!

Irgendwelche Probleme mit XAMPP für Linux? Dann ist hier genau der richtige Ort um nachzufragen.

Achtung!! httpd config Fehler!

Postby gunni49 » 18. March 2008 18:10

Hallo beim konfigurieren meiner httpd.config für xampp 1.6.6 habe ich folgenden Fehler entdeckt (fettgedrucktes beachten):
<Directory "/opt/lampp/htdocs">
#
# Possible values for the Options directive are "None", "All",
# or any combination of:
# Indexes Includes FollowSymLinks SymLinksifOwnerMatch ExecCGI MultiViews
#
# Note that "MultiViews" must be named *explicitly* --- "Options All"
# doesn't give it to you.
#
# The Options directive is both complicated and important. Please see
# http://httpd.apache.org/docs/2.2/mod/core.html#options
# for more information.
#
#Options Indexes FollowSymLinks
# XAMPP
Options Indexes FollowSymLinks ExecCGI Includes

Damit cgi einwandfrei funktioniert muss es aber so aussehen:

<Directory "/opt/lampp/htdocs">
#
# Possible values for the Options directive are "None", "All",
# or any combination of:
# Indexes Includes FollowSymLinks SymLinksifOwnerMatch ExecCGI MultiViews
#
# Note that "MultiViews" must be named *explicitly* --- "Options All"
# doesn't give it to you.
#
# The Options directive is both complicated and important. Please see
# http://httpd.apache.org/docs/2.2/mod/core.html#options
# for more information.
#
#Options Indexes FollowSymLinks
# XAMPP
Options Indexes FollowSymLinks Includes ExecCGI
Wenn man nun vor Indexes ein "-" setzt, lässt sich lästiges Directory Listing vermeiden.

Mich würd noch interessieren was bei xampp firewalltechnisch empfehleswert ist. Für Tipps wäre ich sehr dankbar.
Grüße,
Gunni
gunni49
 
Posts: 13
Joined: 09. March 2008 06:46

Postby Nobbie » 19. March 2008 00:12

Verstehe ich nicht - was ist denn jetzt ein Fehler?
Nobbie
 
Posts: 8772
Joined: 09. March 2008 13:04

Postby Denis » 19. March 2008 13:05

Das stimmt, es gibt ein fehler mit die version 1.6.6, mein awstats.pl in CGI-BIN funktionniert nicht mehr, ich habe die alte version 1.6.4 von Xampp installieren müssen, und es geht wieder.
Also, ob ich habe richtig verstanden muss man nur
Options Indexes FollowSymLinks ExecCGI Includes
ersetzen mit
Options Indexes FollowSymLinks Includes ExecCGI
Pourquoi faire simple quand on peut faire compliqué.
User avatar
Denis
 
Posts: 24
Joined: 20. September 2006 15:54
Location: Spanien/Barcelona

Postby gunni49 » 19. March 2008 20:55

Hallo!
Options Indexes FollowSymLinks Includes ExecCGI
So muss es sein
gunni49
 
Posts: 13
Joined: 09. March 2008 06:46


Return to XAMPP für Linux

Who is online

Users browsing this forum: No registered users and 3 guests